# ANSLS (ANSLicensingSystem) Unit Test
add_executable(ANSLS-UnitTest
    ANSLS-UnitTest.cpp
)

target_include_directories(ANSLS-UnitTest PRIVATE
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANSLS-UnitTest
    PRIVATE ANSLicensingSystem
    PRIVATE labview
)

if(WIN32)
    target_link_libraries(ANSLS-UnitTest PRIVATE ${WIN_COMMON_LIBS})
endif()

target_compile_definitions(ANSLS-UnitTest PRIVATE UNICODE _UNICODE)
